import type { Target } from '@ray-js/types'

export type Modules = 'amd' | 'umd' | 'systemjs' | 'commonjs' | 'cjs' | 'auto' | false

declare type PresetOption = {
  modules: Modules
  jsx: 'react' | 'preserve'
  platform: Target
  macro: boolean
  useBuiltIns?: false
}
declare const _default: (
  api: object,
  options: PresetOption,
  dirname: string
) => import('@babel/core').PluginObj<import('@babel/core').PluginPass>
export default _default
